Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.mycarenet.memberdatav2.service
Class ServiceFactory

    java.lang.Object
      be.ehealth.businessconnector.mycarenet.memberdatav2.service.ServiceFactory

    public final class ServiceFactory

extends Object

A factory used in `MemberDataService` to communicate with the endpoint.

Method Summary
`static GenericRequest` | `getMemberDataSyncPort(SAMLToken token)` Creates a `GenericRequest` for the given SAML token and soap action
`static GenericRequest` | `getMemberDataSyncPort(SAMLToken token, String endpoint)` Creates a `GenericRequest` for the given SAML token and soap action

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getMemberDataSyncPort

    public static GenericRequest getMemberDataSyncPort(SAMLToken token)
                                                throws TechnicalConnectorException

  Creates a `GenericRequest` for the given SAML token and soap action

  Parameters:
    `token` - the token
  Returns:
    the generic request
  Throws:
    `TechnicalConnectorException` - the technical connector exception

### getMemberDataSyncPort

    public static GenericRequest getMemberDataSyncPort(SAMLToken token,
                                                       String endpoint)
                                                throws TechnicalConnectorException

  Creates a `GenericRequest` for the given SAML token and soap action

  Parameters:
    `token` - the token
    `endpoint` - the string representation of the endpoint
  Returns:
    the generic request
  Throws:
    `TechnicalConnectorException` - the technical connector exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.